<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>EDMA_hwAttrs_t_ Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">EDMA_hwAttrs_t_ Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;drivers/edma/include/edma_xwr1xxx.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:aa6ab809e098ac66e3aef771f5cc5a473"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_e_d_m_a__hw_attrs__t__.html#aa6ab809e098ac66e3aef771f5cc5a473">numEventQueues</a></td></tr>
<tr class="separator:aa6ab809e098ac66e3aef771f5cc5a473"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae9cc350b4f417e00a1e2fe3f0285c4e3"><td class="memItemLeft" align="right" valign="top">uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_e_d_m_a__hw_attrs__t__.html#ae9cc350b4f417e00a1e2fe3f0285c4e3">numParamSets</a></td></tr>
<tr class="separator:ae9cc350b4f417e00a1e2fe3f0285c4e3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afbcd2dd7f591b147e1395b2f345b13a1"><td class="memItemLeft" align="right" valign="top">uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_e_d_m_a__hw_attrs__t__.html#afbcd2dd7f591b147e1395b2f345b13a1">transferCompletionInterruptNum</a></td></tr>
<tr class="separator:afbcd2dd7f591b147e1395b2f345b13a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abf9d17caffed660e43a72098af1acdc9"><td class="memItemLeft" align="right" valign="top">uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_e_d_m_a__hw_attrs__t__.html#abf9d17caffed660e43a72098af1acdc9">errorInterruptNum</a></td></tr>
<tr class="separator:abf9d17caffed660e43a72098af1acdc9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abd7e21ce9cbb98967b646be1d6fddd9c"><td class="memItemLeft" align="right" valign="top">uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_e_d_m_a__hw_attrs__t__.html#abd7e21ce9cbb98967b646be1d6fddd9c">transferControllerErrorInterruptNum</a> [EDMA_MAX_NUM_TC]</td></tr>
<tr class="separator:abd7e21ce9cbb98967b646be1d6fddd9c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a33451ffe5718edf79cbe36d1b99eb7e7"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_e_d_m_a__hw_attrs__t__.html#a33451ffe5718edf79cbe36d1b99eb7e7">CCbaseAddress</a></td></tr>
<tr class="separator:a33451ffe5718edf79cbe36d1b99eb7e7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a46400c4d777c485b59c3726bc84341a0"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_e_d_m_a__hw_attrs__t__.html#a46400c4d777c485b59c3726bc84341a0">TCbaseAddress</a> [EDMA_MAX_NUM_TC]</td></tr>
<tr class="separator:a46400c4d777c485b59c3726bc84341a0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0bf088d711911b2397fe2814acce5d7c"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_e_d_m_a__hw_attrs__t__.html#a0bf088d711911b2397fe2814acce5d7c">isChannelMapExist</a></td></tr>
<tr class="separator:a0bf088d711911b2397fe2814acce5d7c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>brief EDMA Hardware attributes. </p>
</div><h2 class="groupheader">Field Documentation</h2>
<a class="anchor" id="a33451ffe5718edf79cbe36d1b99eb7e7"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t EDMA_hwAttrs_t_::CCbaseAddress</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Channel Controller (CC) base address </p>

</div>
</div>
<a class="anchor" id="abf9d17caffed660e43a72098af1acdc9"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint16_t EDMA_hwAttrs_t_::errorInterruptNum</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Channel Controller (CC) Error interrupt number </p>

</div>
</div>
<a class="anchor" id="a0bf088d711911b2397fe2814acce5d7c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool EDMA_hwAttrs_t_::isChannelMapExist</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Channel Mapping feature existence - true if exists, false if does not exist. See DCHMAP in EDMA UG. Note this existence can also be derived by reading the chip configuration register CCCFG. </p>

</div>
</div>
<a class="anchor" id="aa6ab809e098ac66e3aef771f5cc5a473"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t EDMA_hwAttrs_t_::numEventQueues</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>brief Number of event queues. Same as number of transfer controllers. </p>

</div>
</div>
<a class="anchor" id="ae9cc350b4f417e00a1e2fe3f0285c4e3"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint16_t EDMA_hwAttrs_t_::numParamSets</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>brief Number of PaRAM sets </p>

</div>
</div>
<a class="anchor" id="a46400c4d777c485b59c3726bc84341a0"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t EDMA_hwAttrs_t_::TCbaseAddress[EDMA_MAX_NUM_TC]</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Transfer Controllers (TC) base addresses. </p>

</div>
</div>
<a class="anchor" id="afbcd2dd7f591b147e1395b2f345b13a1"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint16_t EDMA_hwAttrs_t_::transferCompletionInterruptNum</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>brief Transfer completion interrupt number </p>

</div>
</div>
<a class="anchor" id="abd7e21ce9cbb98967b646be1d6fddd9c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint16_t EDMA_hwAttrs_t_::transferControllerErrorInterruptNum[EDMA_MAX_NUM_TC]</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Transfer controller error interrupt numbers. </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>drivers/edma/include/<a class="el" href="edma__xwr1xxx_8h.html">edma_xwr1xxx.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
